# Default values for the chart.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

nameOverride: ""
fullnameOverride: ""

timezone: "Europe/Oslo"

certificate:
  enabled: false
  email: ""
  hostname: ""

mongodb:
  create: true
  image: mongo
  tag: "5.0.11-focal" # NOTE: Unifi v6.5.55 does not support MongoDB v6.x
  replicas: 1
  size: 1Gi
  username: unifi
  password: unifi
  #passwordSecret: ""
  resources: {}
    # requests:
    #   cpu: 0.2
    #   memory: 200Mi
  mainDbName: unifi
  statDbName: unifi_stat
  authDbName: admin
  connectionString: ""
  connectionStringArguments: []

imagePullSecrets: []

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

service:
  type: LoadBalancer
  annotations: {}

persistence:
  enabled: true # This has no effect for now
  storageClassName: default
  size: 64Gi

controller:
  image:
    repository: registry.gitlab.com/eyecatch-no/public/unifi-controller-for-kubernetes/k8s-unifi-controller
    pullPolicy: Always

  livenessProbe:  
    httpGet:
      path: /
      port: 8443
    failureThreshold: 3
    timeoutSeconds: 30
    initialDelaySeconds: 300
    periodSeconds: 30

  readinessProbe:
    httpGet:
      path: /
      port: 8443
    failureThreshold: 3
    timeoutSeconds: 5
    initialDelaySeconds: 60
    periodSeconds: 5

  securityContext: {}
    # capabilities:
    #   drop:
    #   - ALL
    # readOnlyRootFilesystem: true
    # runAsNonRoot: true
    # runAsUser: 1000

  resources: {}
    # requests:
    #   memory: "512Mi"
    #   cpu: "100m"
    # limits:
    #   memory: "3072Mi"
    #   cpu: "2000m"

log:
  resources: {}
    # requests:
    #   memory: "64Mi"
    #   cpu: "10m"
    # limits:
    #   memory: "128Mi"
    #   cpu: "100m"

nodeSelector: {}

tolerations: []

affinity: {}
